Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network77.98.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
77.98.0.0
Broadcast address
77.99.255.255
First usable
77.98.0.1
Last usable
77.99.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 4D620000 · Integer 1298268160 to 1298399231
Reverse DNS zones
98.77.in-addr.arpa
99.77.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001101.01100010.00000000.0000000077.98.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network01001101.01100010.00000000.0000000077.98.0.0
Broadcast01001101.01100011.11111111.1111111177.99.255.255
Split into smaller subnets/22

77.98.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
177.98.0.0/2277.98.0.1 to 77.98.3.25477.98.3.2551,022
277.98.4.0/2277.98.4.1 to 77.98.7.25477.98.7.2551,022
377.98.8.0/2277.98.8.1 to 77.98.11.25477.98.11.2551,022
477.98.12.0/2277.98.12.1 to 77.98.15.25477.98.15.2551,022
577.98.16.0/2277.98.16.1 to 77.98.19.25477.98.19.2551,022
677.98.20.0/2277.98.20.1 to 77.98.23.25477.98.23.2551,022
777.98.24.0/2277.98.24.1 to 77.98.27.25477.98.27.2551,022
877.98.28.0/2277.98.28.1 to 77.98.31.25477.98.31.2551,022
977.98.32.0/2277.98.32.1 to 77.98.35.25477.98.35.2551,022
1077.98.36.0/2277.98.36.1 to 77.98.39.25477.98.39.2551,022
1177.98.40.0/2277.98.40.1 to 77.98.43.25477.98.43.2551,022
1277.98.44.0/2277.98.44.1 to 77.98.47.25477.98.47.2551,022
1377.98.48.0/2277.98.48.1 to 77.98.51.25477.98.51.2551,022
1477.98.52.0/2277.98.52.1 to 77.98.55.25477.98.55.2551,022
1577.98.56.0/2277.98.56.1 to 77.98.59.25477.98.59.2551,022
1677.98.60.0/2277.98.60.1 to 77.98.63.25477.98.63.2551,022
1777.98.64.0/2277.98.64.1 to 77.98.67.25477.98.67.2551,022
1877.98.68.0/2277.98.68.1 to 77.98.71.25477.98.71.2551,022
1977.98.72.0/2277.98.72.1 to 77.98.75.25477.98.75.2551,022
2077.98.76.0/2277.98.76.1 to 77.98.79.25477.98.79.2551,022
2177.98.80.0/2277.98.80.1 to 77.98.83.25477.98.83.2551,022
2277.98.84.0/2277.98.84.1 to 77.98.87.25477.98.87.2551,022
2377.98.88.0/2277.98.88.1 to 77.98.91.25477.98.91.2551,022
2477.98.92.0/2277.98.92.1 to 77.98.95.25477.98.95.2551,022
2577.98.96.0/2277.98.96.1 to 77.98.99.25477.98.99.2551,022
2677.98.100.0/2277.98.100.1 to 77.98.103.25477.98.103.2551,022
2777.98.104.0/2277.98.104.1 to 77.98.107.25477.98.107.2551,022
2877.98.108.0/2277.98.108.1 to 77.98.111.25477.98.111.2551,022
2977.98.112.0/2277.98.112.1 to 77.98.115.25477.98.115.2551,022
3077.98.116.0/2277.98.116.1 to 77.98.119.25477.98.119.2551,022
3177.98.120.0/2277.98.120.1 to 77.98.123.25477.98.123.2551,022
3277.98.124.0/2277.98.124.1 to 77.98.127.25477.98.127.2551,022
3377.98.128.0/2277.98.128.1 to 77.98.131.25477.98.131.2551,022
3477.98.132.0/2277.98.132.1 to 77.98.135.25477.98.135.2551,022
3577.98.136.0/2277.98.136.1 to 77.98.139.25477.98.139.2551,022
3677.98.140.0/2277.98.140.1 to 77.98.143.25477.98.143.2551,022
3777.98.144.0/2277.98.144.1 to 77.98.147.25477.98.147.2551,022
3877.98.148.0/2277.98.148.1 to 77.98.151.25477.98.151.2551,022
3977.98.152.0/2277.98.152.1 to 77.98.155.25477.98.155.2551,022
4077.98.156.0/2277.98.156.1 to 77.98.159.25477.98.159.2551,022
4177.98.160.0/2277.98.160.1 to 77.98.163.25477.98.163.2551,022
4277.98.164.0/2277.98.164.1 to 77.98.167.25477.98.167.2551,022
4377.98.168.0/2277.98.168.1 to 77.98.171.25477.98.171.2551,022
4477.98.172.0/2277.98.172.1 to 77.98.175.25477.98.175.2551,022
4577.98.176.0/2277.98.176.1 to 77.98.179.25477.98.179.2551,022
4677.98.180.0/2277.98.180.1 to 77.98.183.25477.98.183.2551,022
4777.98.184.0/2277.98.184.1 to 77.98.187.25477.98.187.2551,022
4877.98.188.0/2277.98.188.1 to 77.98.191.25477.98.191.2551,022
4977.98.192.0/2277.98.192.1 to 77.98.195.25477.98.195.2551,022
5077.98.196.0/2277.98.196.1 to 77.98.199.25477.98.199.2551,022
5177.98.200.0/2277.98.200.1 to 77.98.203.25477.98.203.2551,022
5277.98.204.0/2277.98.204.1 to 77.98.207.25477.98.207.2551,022
5377.98.208.0/2277.98.208.1 to 77.98.211.25477.98.211.2551,022
5477.98.212.0/2277.98.212.1 to 77.98.215.25477.98.215.2551,022
5577.98.216.0/2277.98.216.1 to 77.98.219.25477.98.219.2551,022
5677.98.220.0/2277.98.220.1 to 77.98.223.25477.98.223.2551,022
5777.98.224.0/2277.98.224.1 to 77.98.227.25477.98.227.2551,022
5877.98.228.0/2277.98.228.1 to 77.98.231.25477.98.231.2551,022
5977.98.232.0/2277.98.232.1 to 77.98.235.25477.98.235.2551,022
6077.98.236.0/2277.98.236.1 to 77.98.239.25477.98.239.2551,022
6177.98.240.0/2277.98.240.1 to 77.98.243.25477.98.243.2551,022
6277.98.244.0/2277.98.244.1 to 77.98.247.25477.98.247.2551,022
6377.98.248.0/2277.98.248.1 to 77.98.251.25477.98.251.2551,022
6477.98.252.0/2277.98.252.1 to 77.98.255.25477.98.255.2551,022
6577.99.0.0/2277.99.0.1 to 77.99.3.25477.99.3.2551,022
6677.99.4.0/2277.99.4.1 to 77.99.7.25477.99.7.2551,022
6777.99.8.0/2277.99.8.1 to 77.99.11.25477.99.11.2551,022
6877.99.12.0/2277.99.12.1 to 77.99.15.25477.99.15.2551,022
6977.99.16.0/2277.99.16.1 to 77.99.19.25477.99.19.2551,022
7077.99.20.0/2277.99.20.1 to 77.99.23.25477.99.23.2551,022
7177.99.24.0/2277.99.24.1 to 77.99.27.25477.99.27.2551,022
7277.99.28.0/2277.99.28.1 to 77.99.31.25477.99.31.2551,022
7377.99.32.0/2277.99.32.1 to 77.99.35.25477.99.35.2551,022
7477.99.36.0/2277.99.36.1 to 77.99.39.25477.99.39.2551,022
7577.99.40.0/2277.99.40.1 to 77.99.43.25477.99.43.2551,022
7677.99.44.0/2277.99.44.1 to 77.99.47.25477.99.47.2551,022
7777.99.48.0/2277.99.48.1 to 77.99.51.25477.99.51.2551,022
7877.99.52.0/2277.99.52.1 to 77.99.55.25477.99.55.2551,022
7977.99.56.0/2277.99.56.1 to 77.99.59.25477.99.59.2551,022
8077.99.60.0/2277.99.60.1 to 77.99.63.25477.99.63.2551,022
8177.99.64.0/2277.99.64.1 to 77.99.67.25477.99.67.2551,022
8277.99.68.0/2277.99.68.1 to 77.99.71.25477.99.71.2551,022
8377.99.72.0/2277.99.72.1 to 77.99.75.25477.99.75.2551,022
8477.99.76.0/2277.99.76.1 to 77.99.79.25477.99.79.2551,022
8577.99.80.0/2277.99.80.1 to 77.99.83.25477.99.83.2551,022
8677.99.84.0/2277.99.84.1 to 77.99.87.25477.99.87.2551,022
8777.99.88.0/2277.99.88.1 to 77.99.91.25477.99.91.2551,022
8877.99.92.0/2277.99.92.1 to 77.99.95.25477.99.95.2551,022
8977.99.96.0/2277.99.96.1 to 77.99.99.25477.99.99.2551,022
9077.99.100.0/2277.99.100.1 to 77.99.103.25477.99.103.2551,022
9177.99.104.0/2277.99.104.1 to 77.99.107.25477.99.107.2551,022
9277.99.108.0/2277.99.108.1 to 77.99.111.25477.99.111.2551,022
9377.99.112.0/2277.99.112.1 to 77.99.115.25477.99.115.2551,022
9477.99.116.0/2277.99.116.1 to 77.99.119.25477.99.119.2551,022
9577.99.120.0/2277.99.120.1 to 77.99.123.25477.99.123.2551,022
9677.99.124.0/2277.99.124.1 to 77.99.127.25477.99.127.2551,022
9777.99.128.0/2277.99.128.1 to 77.99.131.25477.99.131.2551,022
9877.99.132.0/2277.99.132.1 to 77.99.135.25477.99.135.2551,022
9977.99.136.0/2277.99.136.1 to 77.99.139.25477.99.139.2551,022
10077.99.140.0/2277.99.140.1 to 77.99.143.25477.99.143.2551,022
10177.99.144.0/2277.99.144.1 to 77.99.147.25477.99.147.2551,022
10277.99.148.0/2277.99.148.1 to 77.99.151.25477.99.151.2551,022
10377.99.152.0/2277.99.152.1 to 77.99.155.25477.99.155.2551,022
10477.99.156.0/2277.99.156.1 to 77.99.159.25477.99.159.2551,022
10577.99.160.0/2277.99.160.1 to 77.99.163.25477.99.163.2551,022
10677.99.164.0/2277.99.164.1 to 77.99.167.25477.99.167.2551,022
10777.99.168.0/2277.99.168.1 to 77.99.171.25477.99.171.2551,022
10877.99.172.0/2277.99.172.1 to 77.99.175.25477.99.175.2551,022
10977.99.176.0/2277.99.176.1 to 77.99.179.25477.99.179.2551,022
11077.99.180.0/2277.99.180.1 to 77.99.183.25477.99.183.2551,022
11177.99.184.0/2277.99.184.1 to 77.99.187.25477.99.187.2551,022
11277.99.188.0/2277.99.188.1 to 77.99.191.25477.99.191.2551,022
11377.99.192.0/2277.99.192.1 to 77.99.195.25477.99.195.2551,022
11477.99.196.0/2277.99.196.1 to 77.99.199.25477.99.199.2551,022
11577.99.200.0/2277.99.200.1 to 77.99.203.25477.99.203.2551,022
11677.99.204.0/2277.99.204.1 to 77.99.207.25477.99.207.2551,022
11777.99.208.0/2277.99.208.1 to 77.99.211.25477.99.211.2551,022
11877.99.212.0/2277.99.212.1 to 77.99.215.25477.99.215.2551,022
11977.99.216.0/2277.99.216.1 to 77.99.219.25477.99.219.2551,022
12077.99.220.0/2277.99.220.1 to 77.99.223.25477.99.223.2551,022
12177.99.224.0/2277.99.224.1 to 77.99.227.25477.99.227.2551,022
12277.99.228.0/2277.99.228.1 to 77.99.231.25477.99.231.2551,022
12377.99.232.0/2277.99.232.1 to 77.99.235.25477.99.235.2551,022
12477.99.236.0/2277.99.236.1 to 77.99.239.25477.99.239.2551,022
12577.99.240.0/2277.99.240.1 to 77.99.243.25477.99.243.2551,022
12677.99.244.0/2277.99.244.1 to 77.99.247.25477.99.247.2551,022
12777.99.248.0/2277.99.248.1 to 77.99.251.25477.99.251.2551,022
12877.99.252.0/2277.99.252.1 to 77.99.255.25477.99.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses